import javax.swing.JOptionPane; // giriş çıkı

class H3AL5a
{
// sayinin exponenti dinamik metodu
    public double exp(double x)
    {
        double faktoriyel=1;
        double us=1;
        double exponent=1;
        for(double i=1;i<=300;i++)
        {
          faktoriyel*=i;
          us*=x;
          exponent+=us/faktoriyel;
        }
    return exponent;
    }
}

public class H3AL5_2000
{

public static void main(String[] args)
{
double sayi;
sayi=Double.parseDouble(JOptionPane.showInputDialog
("Bir gerçek sayı giriniz : "));
H3AL5a y=new H3AL5a();
JOptionPane.showMessageDialog(null,"exp("+sayi+") = "+y.exp(sayi),
"H3AL5a,  exp() dinamik metodu",JOptionPane.PLAIN_MESSAGE);
 System.exit(0);
}
}


